Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » Gyrex » osgi.ee filter (sonarlint unrnresolved constraint)
osgi.ee filter [message #1735372] Fri, 17 June 2016 19:36 Go to next message
Nirmalya Chattopadhyay is currently offline Nirmalya ChattopadhyayFriend
Messages: 1
Registered: June 2016
Junior Member
I have installed sonarlint plugin in eclipse kepler.
Here is list with state of the related bundles:
1195 INSTALLED org.sonarlint.eclipse.core_2.1.0.20160603-1122-RELEASE
1196 INSTALLED org.sonarlint.eclipse.jdt_2.1.0.20160603-1122-RELEASE
1197 INSTALLED org.sonarlint.eclipse.ui_2.1.0.20160603-1122-RELEASE
1198 INSTALLED org.sonarsource.sonarlint.core.sonarlint-client-api_2.3.2
1199 INSTALLED org.sonarsource.sonarlint.core.sonarlint-core_2.3.2

However, since I didn't find sonarlint view after installation, I wanted to diagnose the installation and found the following:
osgi> diag 1195
reference:file:plugins/org.sonarlint.eclipse.core_2.1.0.20160603-1122-RELEASE.jar [1195]
Missing Constraint: Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Direct constraints which are unresolved:
Missing required bundle org.sonarsource.sonarlint.core.sonarlint-client-api_2.3.1.
Missing required bundle org.sonarsource.sonarlint.core.sonarlint-core_2.3.1.
Missing required capability Require-Capability: osgi.ee; filter="(&(osgi.ee=JavaSE)(version=1.7))".
Leaf constraints in the dependency chain which are unresolved:
reference:file:plugins/org.sonarsource.sonarlint.core.sonarlint-client-api_2.3.2.jar [1198]
Missing required capability Require-Capability: osgi.ee; filter="(&(osgi.ee=JavaSE)(version=1.7))".
reference:file:plugins/org.sonarsource.sonarlint.core.sonarlint-core_2.3.2.jar [1199]
Missing required capability Require-Capability: osgi.ee; filter="(&(osgi.ee=JavaSE)(version=1.7))".

It seems , the root is:
Missing required capability Require-Capability: osgi.ee; filter="(&(osgi.ee=JavaSE)(version=1.7))"

I have Java 1.7 as installed JRE.
Any help, in this regard is highly appreciated. We want to point to our sonar server analyze and fix our project source code using sonalint plugin in eclipse on an ongoing basis instead of depending on the sonar server.

Thanks
Nirmalya

Re: osgi.ee filter [message #1735465 is a reply to message #1735372] Mon, 20 June 2016 06:39 Go to previous message
Gunnar Wagenknecht is currently offline Gunnar WagenknechtFriend
Messages: 486
Registered: July 2009
Location: San Francisco ✈ Germany
Senior Member

Nirmalya,

Please post to the Eclipse Newcomer forum. This one is for the Eclipse Gyrex project.

Also, please try with a more recent version of Eclipse (eg. Neon or Mars). Kepler is pretty old and might not support the osgi.ee capability.

-Gunnar
Previous Topic:Trying to run integration tests
Next Topic:news.eclipse.org is shutting down.
Goto Forum:
  


Current Time: Fri Nov 16 05:41:30 GMT 2018

Powered by FUDForum. Page generated in 0.02406 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top